Get initial container statistics
GET
/container/{ocid}/stats
const url = 'https://sylve.lan:8181/api/container/1/stats';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/container/1/stats \ --header 'Authorization: <Authorization>'Get the finest available CPU and memory usage window for a container
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ocid
required
integer
Container ID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
historyState
string
lastSampleAt
string
points
Array<object>
object
containerId
integer
cpuUsage
number
createdAt
string
id
integer
memoryUsage
number
resolvedStep
string
error
string
message
string
status
string
Example
{ "data": { "historyState": "available", "resolvedStep": "minutely" }}